Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034612
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] 03. Procurement managementmajoralways2016-11-24 11:322016-12-16 18:39
ReporteraferrazView Statuspublic 
Assigned Tovmromanos 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q1
StatusclosedFix in branchFixed in SCM revision7232cc0b37a9
ProjectionnoneETAnoneTarget Version3.0PR17Q1
OSLinux 64 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionProfessional ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034612: Performance problem in Return To Vendor Shipment

DescriptionPerformance problem in Return To Vendor Shipment
Steps To ReproduceOpen Return To Vendor Shipment Pick & Edit in an environment with big amount of data.
Proposed SolutionImplement C_Order.IsDelivered and C_OrderLine.QtyDelivered for Return To Vendor flow and take advantage of them in M_RM_SHIPMENT_PICK_EDIT view.
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0035682 closedmarkmm82 Return From Customer pick and edit is very slow with big data 
related to design defect 0039817 scheduledAtulOpenbravo Module script UpdateQtyDelivered cannot be executed due to poor performance 
causes defect 0036476 closedcollazoandy4 Cannot add some sales order lines to goods shipments after upgrading to 3.0PR17Q1 as a modulescript set the order as isdelivered 
causes defect 0037866 closedmarkmm82 [RR18Q1][Cancel & Replace] Sales Order is not selectable in Create Lines From process under certain circumstances 

-  Notes
(0091783)
aferraz (developer)
2016-11-24 14:08

Test case created in TestLink: https://testlink.openbravo.com/testlink/linkto.php?tprojectPrefix=Communit&item=testcase&id=Communit-10358 [^]
(0091956)
hgbot (developer)
2016-12-01 11:10

Repository: erp/devel/pi
Changeset: 7232cc0b37a99b4ed3f897372b1e97bcb2fe84a5
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Fri Nov 18 14:51:11 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/7232cc0b37a99b4ed3f897372b1e97bcb2fe84a5 [^]

Fixes issue 34612: Performance problem in Return To Vendor Shipment

Implemented C_OrderLine.QtyDelivered for return to vendor flow. This column was used only by the sales flow. However RTV (which is just a return in a purchase flow) can be considered like a sales flow (actually we are delivering products), so it has been easily adapted.
This column is now shown in RTV lines.

Implemented C_Order.IsDelivered flag for sales orders and return to vendor flows. This column was only implemented for the following Sales orders subtypes: "On Credit Order", "POS Order" and "Warehouse Order"; now it should work fine for all the sales order (although this is not a requirement for the RTVS refactor, it has been quite easy to do it).
This column is now shown in RTV header.

---
M src-db/database/model/functions/M_INOUT_POST.xml
M src-db/database/model/views/M_RM_SHIPMENT_PICK_EDIT.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_TAB.xml
A src-util/modulescript/build/classes/org/openbravo/modulescript/UpdateQtyDelivered.class
A src-util/modulescript/build/classes/org/openbravo/modulescript/UpdateQtyDeliveredData.class
A src-util/modulescript/src/org/openbravo/modulescript/UpdateQtyDelivered.java
A src-util/modulescript/src/org/openbravo/modulescript/UpdateQtyDelivered_data.xsql
---
(0091957)
hgbot (developer)
2016-12-01 11:10

Repository: erp/devel/pi
Changeset: 50698b51314787ad546cb47b49eb9c2bb3979630
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Fri Nov 25 14:06:04 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/50698b51314787ad546cb47b49eb9c2bb3979630 [^]

Related to issue 34612: Code review improvements

Exclude discount lines when calculating C_Order.IsDelivered flag.
Show IsDelivered in Sales Order and RTV header when document is processed.
Show QtyDelivered in Sales Order and RTV lines when document is processed.
Update ModuleScript limit to 17Q1.
Improve QtyDelivered update performance in ModuleScript by removing inefficient exists clause (it was causing a sequencial scan in M_InOutLine table).
Improve IsDelivered update performance in ModuleScript by removing unneeded extra join with C_Order table.

---
M src-db/database/model/functions/M_INOUT_POST.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-util/modulescript/build/classes/org/openbravo/modulescript/UpdateQtyDelivered.class
M src-util/modulescript/build/classes/org/openbravo/modulescript/UpdateQtyDeliveredData.class
M src-util/modulescript/src/org/openbravo/modulescript/UpdateQtyDelivered.java
M src-util/modulescript/src/org/openbravo/modulescript/UpdateQtyDelivered_data.xsql
---
(0091958)
aferraz (developer)
2016-12-01 11:11

Code review + Testing OK
(0091983)
hgbot (developer)
2016-12-01 16:50

Repository: erp/devel/pi
Changeset: 71e2d1c83c4e0f021defed9b0ef0283ed8be9b4c
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Thu Dec 01 16:51:09 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/71e2d1c83c4e0f021defed9b0ef0283ed8be9b4c [^]

Related to issue 34612: Added info message about moduleScript duration

---
M src-util/modulescript/build/classes/org/openbravo/modulescript/UpdateQtyDelivered.class
M src-util/modulescript/src/org/openbravo/modulescript/UpdateQtyDelivered.java
---
(0092673)
hudsonbot (developer)
2016-12-16 18:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dc8bf00badd0 [^]
Maturity status: Test
(0092674)
hudsonbot (developer)
2016-12-16 18:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dc8bf00badd0 [^]
Maturity status: Test
(0092681)
hudsonbot (developer)
2016-12-16 18:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dc8bf00badd0 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-11-24 11:32 aferraz New Issue
2016-11-24 11:32 aferraz Assigned To => vmromanos
2016-11-24 11:32 aferraz Modules => Core
2016-11-24 11:32 aferraz Triggers an Emergency Pack => No
2016-11-24 11:33 aferraz Tag Attached: Performance
2016-11-24 14:08 aferraz Note Added: 0091783
2016-12-01 09:34 vmromanos Status new => scheduled
2016-12-01 11:10 hgbot Checkin
2016-12-01 11:10 hgbot Note Added: 0091956
2016-12-01 11:10 hgbot Status scheduled => resolved
2016-12-01 11:10 hgbot Resolution open => fixed
2016-12-01 11:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/7232cc0b37a99b4ed3f897372b1e97bcb2fe84a5 [^]
2016-12-01 11:10 hgbot Checkin
2016-12-01 11:10 hgbot Note Added: 0091957
2016-12-01 11:11 aferraz Review Assigned To => aferraz
2016-12-01 11:11 aferraz Note Added: 0091958
2016-12-01 11:11 aferraz Status resolved => closed
2016-12-01 11:11 aferraz Fixed in Version => 3.0PR17Q1
2016-12-01 16:50 hgbot Checkin
2016-12-01 16:50 hgbot Note Added: 0091983
2016-12-16 18:39 hudsonbot Checkin
2016-12-16 18:39 hudsonbot Note Added: 0092673
2016-12-16 18:39 hudsonbot Checkin
2016-12-16 18:39 hudsonbot Note Added: 0092674
2016-12-16 18:39 hudsonbot Checkin
2016-12-16 18:39 hudsonbot Note Added: 0092681
2017-04-04 12:29 aferraz Relationship added related to 0035682
2017-07-12 12:37 ngarcia Relationship added causes 0036476
2018-02-16 11:17 dmiguelez Relationship added causes 0037866
2018-12-17 12:29 adrianromero Relationship added related to 0039817


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker